Find invite by company name
1 min
Find invite by company name
Find an invite (or many invites) by searching for them by the associated company name
GET
https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/invites/find/?external_company={companyName
Path Parameters
- {organizationId}NumberrequiredDescription
- {eventId}NumberrequiredDescription
Query Parameters
- external_companystringrequiredDescription
Header Parameters
- Brella-API-Access-TokenStringrequiredDescription
- AcceptstringrequiredDescription
- Content-TypestringrequiredDescription
curl
curl --location -g --request GET 'https://api.brella.io/api/integration/organizations/{organizationId}/events/{eventId}/invites/find/?external_company={companyName' \
--header 'Brella-API-Access-Token: String' \
--header 'Accept: application/vnd.brella.v4+json' \
--header 'Content-Type: application/json'200
{
"data": {
"id": "712426",
"type": "invite",
"attributes": {
"fill-token": "HTSQIU",
"external-email": "[email protected]",
"external-id": "ab13075",
"external-first-name": "John",
"external-last-name": "McTestersson",
"external-company": "Testers 3075",
"external-title": "QA ",
"qr-string": "brella_invite_id=712426&brella_invite_token=HTSQIU",
"created-at": "2023-01-24T20:03:26.637Z",
"updated-at": "2023-01-29T18:21:23.759Z",
"attendee-group-name": "Attendees",
"seat-count": "5",
"free-seat-count": "5"
},
"relationships": {
"attendee-group": {
"data": {
"id": "11428",
"type": "attendee-group"
}
},
"seats": {
"data": [
{
"id": "3583608",
"type": "seat"
},
{
"id": "3583607",
"type": "seat"
},
{
"id": "3583606",
"type": "seat"
},
{
"id": "3583605",
"type": "seat"
},
{
"id": "3583604",
"type": "seat"
}
]
},
"free-seats": {
"data": [
{
"id": "3583608",
"type": "seat"
},
{
"id": "3583607",
"type": "seat"
},
{
"id": "3583606",
"type": "seat"
},
{
"id": "3583605",
"type": "seat"
},
{
"id": "3583604",
"type": "seat"
}
]
},
"question-responses": {
"data": []
}
}
},
"included": [
{
"id": "3583608",
"type": "seat",
"attributes": {
"token": "HTSQIU"
},
"relationships": {
"attendee": {
"data": {}
}
}
},
{
"id": "3583607",
"type": "seat",
"attributes": {
"token": "HTSQIU"
},
"relationships": {
"attendee": {
"data": {}
}
}
},
{
"id": "3583606",
"type": "seat",
"attributes": {
"token": "HTSQIU"
},
"relationships": {
"attendee": {
"data": {}
}
}
},
{
"id": "3583605",
"type": "seat",
"attributes": {
"token": "HTSQIU"
},
"relationships": {
"attendee": {
"data": {}
}
}
},
{
"id": "3583604",
"type": "seat",
"attributes": {
"token": "HTSQIU"
},
"relationships": {
"attendee": {
"data": {}
}
}
},
{
"id": "11428",
"type": "attendee-group",
"attributes": {
"name": "Attendees",
"attendance-type": "virtual",
"default": "true",
"users-are-deletable": "false",
"created-at": "2022-04-13T11:18:36.831Z",
"updated-at": "2022-04-13T11:18:36.831Z",
"attendees-count": {}
},
"relationships": {
"attendees": {
"data": []
}
}
}
]
}